prompt --application/deployment/install/install_wfr_report_create_tables
begin
--   Manifest
--     INSTALL: INSTALL-WFR_Report_Create_Tables
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2021.10.15'
,p_release=>'21.2.0'
,p_default_workspace_id=>2200418947814292
,p_default_application_id=>903
,p_default_id_offset=>0
,p_default_owner=>'WCDEV_WFR'
);
wwv_flow_api.create_install_script(
 p_id=>wwv_flow_api.id(27614989851680794)
,p_install_id=>wwv_flow_api.id(25973103401088465)
,p_name=>'WFR_Report_Create_Tables'
,p_sequence=>5
,p_script_type=>'INSTALL'
,p_script_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'CREATE TABLE "OAN_ERP_OPERATING_UNITS" ',
'   (	"ORG_ID" NUMBER(15,0) NOT NULL ENABLE, ',
'	"ORG_NAME" VARCHAR2(240) NOT NULL ENABLE, ',
'	"START_DATE_ACTIVE" DATE NOT NULL ENABLE, ',
'	"END_DATE_ACTIVE" DATE',
'   ) ;',
'',
'CREATE TABLE "OAN_GL_SETS_OF_BOOKS" ',
'   (	"SET_OF_BOOKS_ID" NUMBER(15,0) NOT NULL ENABLE, ',
'	"COA_ID" NUMBER(15,0) NOT NULL ENABLE, ',
'	"FUNCTIONAL_CURRENCY" VARCHAR2(15) NOT NULL ENABLE',
'   ) ;',
'',
'CREATE TABLE "OAN_HR_OPERATING_UNITS" ',
'   (	"ORG_ID" NUMBER(15,0) NOT NULL ENABLE, ',
'	"ORG_NAME" VARCHAR2(240) NOT NULL ENABLE, ',
'	"SET_OF_BOOKS_ID" VARCHAR2(150), ',
'	"START_DATE_ACTIVE" DATE NOT NULL ENABLE, ',
'	"END_DATE_ACTIVE" DATE',
'   ) ;',
'',
'SET DEFINE OFF;',
'Insert into OAN_HR_OPERATING_UNITS',
'   (ORG_ID, ORG_NAME, SET_OF_BOOKS_ID, START_DATE_ACTIVE)',
' Values',
'   (204, ''Vision Operations'', ''1'', TO_DATE(''01/01/1987 00:00:00'', ''MM/DD/YYYY HH24:MI:SS''));',
'COMMIT;',
'',
'SET DEFINE OFF;',
'Insert into OAN_ERP_OPERATING_UNITS',
'   (ORG_ID, ORG_NAME,  START_DATE_ACTIVE)',
' Values',
'   (204, ''Vision Operations'', TO_DATE(''01/01/1987 00:00:00'', ''MM/DD/YYYY HH24:MI:SS''));',
'COMMIT;',
'',
'SET DEFINE OFF;',
'Insert into OAN_GL_SETS_OF_BOOKS',
'   (SET_OF_BOOKS_ID, COA_ID, FUNCTIONAL_CURRENCY)',
' Values',
'   (1, 101, ''USD'');',
'COMMIT;'))
);
wwv_flow_api.create_install_object(
 p_id=>wwv_flow_api.id(27627469091816566)
,p_script_id=>wwv_flow_api.id(27614989851680794)
,p_object_owner=>'#OWNER#'
,p_object_type=>'TABLE'
,p_object_name=>'OAN_ERP_OPERATING_UNITS'
,p_last_updated_by=>'RPOLLINA'
,p_last_updated_on=>to_date('20220607004428','YYYYMMDDHH24MISS')
,p_created_by=>'RPOLLINA'
,p_created_on=>to_date('20220607004428','YYYYMMDDHH24MISS')
);
wwv_flow_api.create_install_object(
 p_id=>wwv_flow_api.id(27627603200816567)
,p_script_id=>wwv_flow_api.id(27614989851680794)
,p_object_owner=>'#OWNER#'
,p_object_type=>'TABLE'
,p_object_name=>'OAN_GL_SETS_OF_BOOKS'
,p_last_updated_by=>'RPOLLINA'
,p_last_updated_on=>to_date('20220607004428','YYYYMMDDHH24MISS')
,p_created_by=>'RPOLLINA'
,p_created_on=>to_date('20220607004428','YYYYMMDDHH24MISS')
);
wwv_flow_api.create_install_object(
 p_id=>wwv_flow_api.id(27627814408816567)
,p_script_id=>wwv_flow_api.id(27614989851680794)
,p_object_owner=>'#OWNER#'
,p_object_type=>'TABLE'
,p_object_name=>'OAN_HR_OPERATING_UNITS'
,p_last_updated_by=>'RPOLLINA'
,p_last_updated_on=>to_date('20220607004428','YYYYMMDDHH24MISS')
,p_created_by=>'RPOLLINA'
,p_created_on=>to_date('20220607004428','YYYYMMDDHH24MISS')
);
wwv_flow_api.component_end;
end;
/
