prompt --application/deployment/install/install_wfr_report_function
begin
--   Manifest
--     INSTALL: INSTALL-WFR_Report_Function
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2021.10.15'
,p_release=>'21.2.0'
,p_default_workspace_id=>2200418947814292
,p_default_application_id=>903
,p_default_id_offset=>0
,p_default_owner=>'WCDEV_WFR'
);
wwv_flow_api.create_install_script(
 p_id=>wwv_flow_api.id(27596545887056488)
,p_install_id=>wwv_flow_api.id(25973103401088465)
,p_name=>'WFR_Report_Function'
,p_sequence=>10
,p_script_type=>'INSTALL'
,p_script_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'CREATE OR REPLACE EDITIONABLE FUNCTION "GETCURRENTFIELDVALUE" (RTSVal IN varchar2, VerifierVal IN varchar2)',
'RETURN VARCHAR2 AS',
'BEGIN',
'  if VerifierVal is null then',
'    return RTSVAL;',
'  else',
'   return VERIFIERVAL;',
'  end if;',
'END;',
'/',
'',
'CREATE OR REPLACE EDITIONABLE FUNCTION "GETTIMEDIFFINSEC" (FromDate IN Date, ToDate IN Date)',
'RETURN NUMBER AS',
'BEGIN',
'  RETURN round((ToDate - FromDate) * 24 * 60 * 60);',
'END;',
'/',
'',
''))
);
wwv_flow_api.create_install_object(
 p_id=>wwv_flow_api.id(27596648597056489)
,p_script_id=>wwv_flow_api.id(27596545887056488)
,p_object_owner=>'#OWNER#'
,p_object_type=>'FUNCTION'
,p_object_name=>'GETCURRENTFIELDVALUE'
,p_last_updated_by=>'RPOLLINA'
,p_last_updated_on=>to_date('20220606223747','YYYYMMDDHH24MISS')
,p_created_by=>'RPOLLINA'
,p_created_on=>to_date('20220606223747','YYYYMMDDHH24MISS')
);
wwv_flow_api.create_install_object(
 p_id=>wwv_flow_api.id(27596831929056491)
,p_script_id=>wwv_flow_api.id(27596545887056488)
,p_object_owner=>'#OWNER#'
,p_object_type=>'FUNCTION'
,p_object_name=>'GETTIMEDIFFINSEC'
,p_last_updated_by=>'RPOLLINA'
,p_last_updated_on=>to_date('20220606223747','YYYYMMDDHH24MISS')
,p_created_by=>'RPOLLINA'
,p_created_on=>to_date('20220606223747','YYYYMMDDHH24MISS')
);
wwv_flow_api.component_end;
end;
/
