prompt --application/pages/page_00001
begin
--   Manifest
--     PAGE: 00001
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2021.10.15'
,p_release=>'21.2.0'
,p_default_workspace_id=>2200418947814292
,p_default_application_id=>903
,p_default_id_offset=>0
,p_default_owner=>'WCDEV_WFR'
);
wwv_flow_api.create_page(
 p_id=>1
,p_user_interface_id=>wwv_flow_api.id(22412814238428343)
,p_name=>'System Performance'
,p_alias=>'SYSTEM-PERFORMANCE'
,p_step_title=>'System Performance'
,p_autocomplete_on_off=>'OFF'
,p_step_template=>wwv_flow_api.id(22237762800428253)
,p_page_template_options=>'#DEFAULT#'
,p_protection_level=>'C'
,p_last_updated_by=>'RPOLLINA'
,p_last_upd_yyyymmddhh24miss=>'20220606230938'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(16801937498245217)
,p_plug_name=>'Filters'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(22315587032428289)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_02'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(16802039732245218)
,p_plug_name=>'Statistics_xx'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(22315587032428289)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_new_grid_row=>false
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'NEVER'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(16802191535245219)
,p_plug_name=>'Export Progress (for invoices imported on selected date)'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_api.id(22315587032428289)
,p_plug_display_sequence=>50
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_new_grid_row=>false
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
' Select count(distinct (OFRDOCSTATUS.documentnumber || to_char(status))) "Exported Invoices", ',
' count(distinct OFRDOCUMENT.documentnumber) "Imported Invoices" ',
' from OFRDOCUMENT, OFRDOCSTATUS ',
' WHERE OFRDOCUMENT.documentnumber = OFRDOCSTATUS.documentnumber(+) ',
' and dateimportstartrts >= to_date(:P1_PROCESSDATE,''MM/DD/YYYY'') ',
' and dateimportstartrts <= to_date(:P1_PROCESSDATE, ''MM/DD/YYYY'') + 1 ',
' AND (:P1_ORG_ID IS NULL or :P1_ORG_ID = org_id)',
' AND (:P1_PROCESSING_GROUP is null or :P1_PROCESSING_GROUP = nvl(OAN_WC_UTILS_PKG.wfr_field_contents (ofrdocument.documentnumber, ''ProcessingGroup'',''N''),''UNASSIGNED''))',
' and status(+)=800'))
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_ajax_items_to_submit=>'P1_PROCESSDATE,P1_ORG_ID,P1_PROCESSING_GROUP'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_jet_chart(
 p_id=>wwv_flow_api.id(16803165379245229)
,p_region_id=>wwv_flow_api.id(16802191535245219)
,p_chart_type=>'dial'
,p_title=>'Overall Progress'
,p_width=>'300'
,p_height=>'150'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_value_text_type=>'percent'
,p_value_format_scaling=>'auto'
,p_tooltip_rendered=>'Y'
,p_gauge_orientation=>'circular'
,p_gauge_indicator_size=>1
,p_gauge_inner_radius=>.7
,p_gauge_plot_area=>'on'
,p_gauge_start_angle=>180
,p_gauge_angle_extent=>180
,p_show_gauge_value=>true
);
wwv_flow_api.create_jet_chart_series(
 p_id=>wwv_flow_api.id(16803278154245230)
,p_chart_id=>wwv_flow_api.id(16803165379245229)
,p_seq=>10
,p_name=>'Series 1'
,p_location=>'REGION_SOURCE'
,p_items_value_column_name=>'Exported Invoices'
,p_items_max_value=>'Imported Invoices'
,p_items_label_column_name=>'Imported Invoices'
,p_color=>'#2c5266'
,p_items_label_rendered=>false
,p_threshold_display=>'onIndicator'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(16802247743245220)
,p_plug_name=>'Runtime Server Performance'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_api.id(22315587032428289)
,p_plug_display_sequence=>80
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_jet_chart(
 p_id=>wwv_flow_api.id(16804014181245238)
,p_region_id=>wwv_flow_api.id(16802247743245220)
,p_chart_type=>'bar'
,p_height=>'400'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_orientation=>'vertical'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hide_and_show_behavior=>'withRescale'
,p_hover_behavior=>'dim'
,p_stack=>'off'
,p_connect_nulls=>'Y'
,p_sorting=>'label-asc'
,p_fill_multi_series_gaps=>true
,p_zoom_and_scroll=>'off'
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_legend_rendered=>'on'
,p_legend_position=>'auto'
);
wwv_flow_api.create_jet_chart_series(
 p_id=>wwv_flow_api.id(16804192452245239)
,p_chart_id=>wwv_flow_api.id(16804014181245238)
,p_seq=>10
,p_name=>'Import'
,p_data_source_type=>'SQL'
,p_data_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT MAX (link) link,',
'       LPAD (label, 2, ''00'') label,',
'       SUM (cnt) cnt',
' FROM (SELECT NULL link, ',
'              TO_NUMBER (TO_CHAR (dateimportstartrts, ''HH24'')) label, ',
'              COUNT(*) cnt ',
'         FROM OFRDOCUMENT ',
'        WHERE TRUNC (dateimportstartrts) = :P1_PROCESSDATE',
'          AND (:P1_ORG_ID IS NULL or :P1_ORG_ID = org_id)',
'         AND (:P1_PROCESSING_GROUP is null or :P1_PROCESSING_GROUP = nvl(OAN_WC_UTILS_PKG.wfr_field_contents (ofrdocument.documentnumber, ''ProcessingGroup'',''N''),''UNASSIGNED''))',
'        GROUP BY TO_NUMBER (TO_CHAR (dateimportstartrts, ''HH24'')) ',
'        UNION',
'       /*UNION is so the chart shows hours with no data*/',
'       SELECT NULL, rownum, 0',
'         FROM OFRDOCUMENT',
'        WHERE rownum <= 24 ',
'          AND (:P1_ORG_ID IS NULL or :P1_ORG_ID = org_id)--one per hour',
'          AND (:P1_PROCESSING_GROUP is null or :P1_PROCESSING_GROUP = nvl(OAN_WC_UTILS_PKG.wfr_field_contents (ofrdocument.documentnumber, ''ProcessingGroup'',''N''),''UNASSIGNED''))',
'       ) l',
' GROUP BY label',
' ORDER BY label',
''))
,p_ajax_items_to_submit=>'P1_PROCESSDATE,P1_ORG_ID,P1_PROCESSING_GROUP'
,p_items_value_column_name=>'CNT'
,p_items_label_column_name=>'LABEL'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>false
);
wwv_flow_api.create_jet_chart_series(
 p_id=>wwv_flow_api.id(16804531106245243)
,p_chart_id=>wwv_flow_api.id(16804014181245238)
,p_seq=>20
,p_name=>'OCR'
,p_data_source_type=>'SQL'
,p_data_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT MAX (link) link,',
'       LPAD (label, 2, ''00'') label,',
'       SUM (cnt) cnt',
' FROM (SELECT NULL link, ',
'              TO_NUMBER (TO_CHAR (dateocrstartrts, ''HH24'')) label, ',
'              COUNT(*) cnt ',
'         FROM OFRDOCUMENT ',
'        WHERE TRUNC (dateocrstartrts) = :P1_PROCESSDATE',
'          AND (:P1_ORG_ID IS NULL or :P1_ORG_ID = org_id)',
'       AND (:P1_PROCESSING_GROUP is null or :P1_PROCESSING_GROUP = nvl(OAN_WC_UTILS_PKG.wfr_field_contents (ofrdocument.documentnumber, ''ProcessingGroup'',''N''),''UNASSIGNED''))',
'        GROUP BY TO_NUMBER (TO_CHAR (dateocrstartrts, ''HH24'')) ',
'        UNION',
'       /*UNION is so the chart shows hours with no data*/',
'       SELECT NULL, rownum, 0',
'         FROM OFRDOCUMENT',
'        WHERE rownum <= 24 --one per hour',
'          AND (:P1_ORG_ID IS NULL or :P1_ORG_ID = org_id)',
'      AND (:P1_PROCESSING_GROUP is null or :P1_PROCESSING_GROUP = nvl(OAN_WC_UTILS_PKG.wfr_field_contents (ofrdocument.documentnumber, ''ProcessingGroup'',''N''),''UNASSIGNED''))',
'       ) l',
' GROUP BY label',
' ORDER BY label',
''))
,p_ajax_items_to_submit=>'P1_PROCESSDATE,P1_ORG_ID,P1_PROCESSING_GROUP'
,p_items_value_column_name=>'CNT'
,p_items_label_column_name=>'LABEL'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>false
);
wwv_flow_api.create_jet_chart_series(
 p_id=>wwv_flow_api.id(16804643561245244)
,p_chart_id=>wwv_flow_api.id(16804014181245238)
,p_seq=>30
,p_name=>'Extract'
,p_data_source_type=>'SQL'
,p_data_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT MAX (link) link,',
'       LPAD (label, 2, ''00'') label,',
'       SUM (cnt) cnt',
' FROM (SELECT NULL link, ',
'              TO_NUMBER (TO_CHAR (dateextrrts, ''HH24'')) label, ',
'              COUNT(*) cnt ',
'         FROM OFRDOCUMENT ',
'        WHERE TRUNC (dateextrrts) = :P1_PROCESSDATE',
'          AND (:P1_ORG_ID IS NULL or :P1_ORG_ID = org_id)',
'         AND (:P1_PROCESSING_GROUP is null or :P1_PROCESSING_GROUP = nvl(OAN_WC_UTILS_PKG.wfr_field_contents (ofrdocument.documentnumber, ''ProcessingGroup'',''N''),''UNASSIGNED''))',
'        GROUP BY TO_NUMBER (TO_CHAR (dateextrrts, ''HH24'')) ',
'        UNION',
'       /*UNION is so the chart shows hours with no data*/',
'       SELECT NULL, rownum, 0',
'         FROM OFRDOCUMENT',
'        WHERE rownum <= 24 --one per hour',
'          AND (:P1_ORG_ID IS NULL or :P1_ORG_ID = org_id)',
'      AND (:P1_PROCESSING_GROUP is null or :P1_PROCESSING_GROUP = nvl(OAN_WC_UTILS_PKG.wfr_field_contents (ofrdocument.documentnumber, ''ProcessingGroup'',''N''),''UNASSIGNED''))',
'       ) l',
' GROUP BY label',
' ORDER BY label',
''))
,p_ajax_items_to_submit=>'P1_PROCESSDATE,P1_ORG_ID,P1_PROCESSING_GROUP'
,p_items_value_column_name=>'CNT'
,p_items_label_column_name=>'LABEL'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>false
);
wwv_flow_api.create_jet_chart_series(
 p_id=>wwv_flow_api.id(16804778110245245)
,p_chart_id=>wwv_flow_api.id(16804014181245238)
,p_seq=>40
,p_name=>'Export'
,p_data_source_type=>'SQL'
,p_data_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT MAX (link) link,',
'       LPAD (label, 2, ''00'') label,',
'       SUM (cnt) cnt',
' FROM (SELECT NULL link, ',
'              TO_NUMBER (TO_CHAR (dateexportrts, ''HH24'')) label, ',
'              COUNT(*) cnt ',
'         FROM OFRDOCUMENT ',
'        WHERE TRUNC (dateexportrts) = :P1_PROCESSDATE',
'          AND (:P1_ORG_ID IS NULL or :P1_ORG_ID = org_id)',
'      AND (:P1_PROCESSING_GROUP is null or :P1_PROCESSING_GROUP = nvl(OAN_WC_UTILS_PKG.wfr_field_contents (ofrdocument.documentnumber, ''ProcessingGroup'',''N''),''UNASSIGNED''))',
'        GROUP BY TO_NUMBER (TO_CHAR (dateexportrts, ''HH24'')) ',
'        UNION',
'       /*UNION is so the chart shows hours with no data*/',
'       SELECT NULL, rownum, 0',
'         FROM OFRDOCUMENT',
'        WHERE rownum <= 24 --one per hour',
'          AND (:P1_ORG_ID IS NULL or :P1_ORG_ID = org_id)',
'          AND (:P1_PROCESSING_GROUP is null or :P1_PROCESSING_GROUP = nvl(OAN_WC_UTILS_PKG.wfr_field_contents (ofrdocument.documentnumber, ''ProcessingGroup'',''N''),''UNASSIGNED''))',
'       ) l',
' GROUP BY label',
' ORDER BY label',
''))
,p_ajax_items_to_submit=>'P1_PROCESSDATE,P1_ORG_ID,P1_PROCESSING_GROUP'
,p_items_value_column_name=>'CNT'
,p_items_label_column_name=>'LABEL'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>false
);
wwv_flow_api.create_jet_chart_axis(
 p_id=>wwv_flow_api.id(16804293830245240)
,p_chart_id=>wwv_flow_api.id(16804014181245238)
,p_axis=>'x'
,p_is_rendered=>'on'
,p_title=>'Hour of the Day'
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_step=>1
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_tick_label_rotation=>'auto'
,p_tick_label_position=>'outside'
);
wwv_flow_api.create_jet_chart_axis(
 p_id=>wwv_flow_api.id(16804323192245241)
,p_chart_id=>wwv_flow_api.id(16804014181245238)
,p_axis=>'y'
,p_is_rendered=>'on'
,p_format_type=>'decimal'
,p_decimal_places=>0
,p_format_scaling=>'none'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_position=>'auto'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(16803500535245233)
,p_plug_name=>'Overall Progress (%)2'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(22315587032428289)
,p_plug_display_sequence=>70
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_new_grid_row=>false
,p_plug_grid_column_span=>4
,p_plug_source=>'This SQL is jacked up and does not belong in a Dial guage chart (I think(.'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'NEVER'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(16804855644245246)
,p_name=>'Statistics'
,p_template=>wwv_flow_api.id(22315587032428289)
,p_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#:t-AVPList--variableLabelLarge:t-AVPList--rightAligned:t-Report--hideNoPagination'
,p_new_grid_row=>false
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT ''Invoices Imported'' name, ',
'       TO_CHAR (COUNT (DISTINCT ofrdocument.documentnumber), ''999,999'') val,',
'       1 seq',
'  FROM ofrdocument, ',
'       ofrdocstatus ',
' WHERE ofrdocument.documentnumber = ofrdocstatus.documentnumber (+) ',
'   AND TRUNC (dateimportstartrts) = :P1_PROCESSDATE',
'   --AND TRUNC (dateimportstartrts) < :P1_PROCESSDATE + 1',
'   AND (:P1_ORG_ID IS NULL or :P1_ORG_ID = org_id)',
'   AND (:P1_PROCESSING_GROUP is null or :P1_PROCESSING_GROUP = nvl(OAN_WC_UTILS_PKG.wfr_field_contents (ofrdocument.documentnumber, ''ProcessingGroup'',''N''),''UNASSIGNED''))',
'   AND status (+) = 800',
'',
'UNION',
'SELECT ''Same Day Import & Export'', ',
'       TO_CHAR (COUNT(*), ''999,999'') cnt ,',
'       2',
'  FROM ofrdocument ',
' WHERE TRUNC (dateimportstartrts) = :P1_PROCESSDATE',
'   AND TRUNC (dateexportrts) = :P1_PROCESSDATE',
'   AND (:P1_ORG_ID IS NULL or :P1_ORG_ID = org_id)',
'   AND (:P1_PROCESSING_GROUP is null or :P1_PROCESSING_GROUP = nvl(OAN_WC_UTILS_PKG.wfr_field_contents (ofrdocument.documentnumber, ''ProcessingGroup'',''N''),''UNASSIGNED''))',
'',
'UNION',
'select --''Average Pages Processed per Hour'',',
'       ''Average Page Process Throughput per Hour'',',
'       to_char(round((60*60) / GrandAvgSecPerPage), ''999,999'') as "Invoice Pages",',
'       3',
'from(',
'  select sum(ocrpages), sum(totalocrclassexttime), round((sum(totalocrclassexttime) / sum(ocrpages))) as GrandAvgSecPerPage',
'  from(',
'    select ocrpages, (totalocrsecs + totalclasssecs + totalextractsecs) as TotalOCRClassExtTime, ((totalocrsecs + totalclasssecs + totalextractsecs) / ocrpages) As AvgSecsPerPage ',
'    from (',
'      Select ocrpages, gettimediffinsec(dateocrstartrts, dateocrendrts) as TotalOCRSecs, gettimediffinsec(dateclassrts,dateclassendrts) as TotalClassSecs, gettimediffinsec(dateextrrts,dateextrendrts) as TotalExtractSecs',
'        from ofrdocument',
'        where dateclassendrts is not null and dateocrendrts is not null and dateextrendrts is not null',
'        and TRUNC (dateocrstartrts) = :P1_PROCESSDATE',
'        AND (:P1_ORG_ID IS NULL or :P1_ORG_ID = org_id)',
'        AND (:P1_PROCESSING_GROUP is null or :P1_PROCESSING_GROUP = nvl(OAN_WC_UTILS_PKG.wfr_field_contents (ofrdocument.documentnumber, ''ProcessingGroup'',''N''),''UNASSIGNED''))',
'      )',
'    )',
'  )',
'',
'UNION',
'select --''Average Invoices Processed per Hour'',',
'       ''Average Invoice Process Throughput per Hour'',',
'       to_char(round((60*60) / GrandAvgSecPerInvoice), ''999,999'') as "Invoices",',
'       4 ',
'from(',
'  select sum(totalocrclassexttime), round(sum(totalocrclassexttime) / count(*)) as GrandAvgSecPerInvoice',
'  from(',
'    select ocrpages, (totalocrsecs + totalclasssecs + totalextractsecs) as TotalOCRClassExtTime, ((totalocrsecs + totalclasssecs + totalextractsecs) / ocrpages) As AvgSecsPerPage ',
'    from (',
'      Select ocrpages, gettimediffinsec(dateocrstartrts, dateocrendrts) as TotalOCRSecs, gettimediffinsec(dateclassrts,dateclassendrts) as TotalClassSecs, gettimediffinsec(dateextrrts,dateextrendrts) as TotalExtractSecs',
'        from ofrdocument',
'        where dateclassendrts is not null and dateocrendrts is not null and dateextrendrts is not null',
'        and TRUNC (dateocrstartrts) = :P1_PROCESSDATE',
'        AND (:P1_ORG_ID IS NULL or :P1_ORG_ID = org_id)',
'        AND (:P1_PROCESSING_GROUP is null or :P1_PROCESSING_GROUP = nvl(OAN_WC_UTILS_PKG.wfr_field_contents (ofrdocument.documentnumber, ''ProcessingGroup'',''N''),''UNASSIGNED''))',
'      )',
'    )',
'  )',
'',
'UNION',
'select ''Invoices In-Flight (All dates, excl. exported)'',',
'       to_char(count(*), ''999,999'') value1,',
'       5',
'from document ',
'WHERE STATE < 800',
'  AND (:P1_ORG_ID IS NULL or :P1_ORG_ID = nvl(OAN_WC_UTILS_PKG.wfr_field_contents (document.name, ''CompanyCode'',''Y''),''UNASSIGNED''))',
'  AND (:P1_PROCESSING_GROUP is null or :P1_PROCESSING_GROUP = nvl(OAN_WC_UTILS_PKG.wfr_field_contents (document.name, ''ProcessingGroup'',''Y''),''UNASSIGNED''))',
'',
'',
'ORDER BY 3',
''))
,p_ajax_enabled=>'Y'
,p_ajax_items_to_submit=>'P1_PROCESSDATE,P1_ORG_ID,P1_PROCESSING_GROUP'
,p_lazy_loading=>false
,p_query_row_template=>wwv_flow_api.id(22342131402428302)
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(16805147845245249)
,p_query_column_id=>1
,p_column_alias=>'NAME'
,p_column_display_sequence=>10
,p_column_heading=>'Name'
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(16805206657245250)
,p_query_column_id=>2
,p_column_alias=>'VAL'
,p_column_display_sequence=>20
,p_column_heading=>'Val'
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(22854610442143101)
,p_query_column_id=>3
,p_column_alias=>'SEQ'
,p_column_display_sequence=>30
,p_column_heading=>'Seq'
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(22422118553428384)
,p_plug_name=>'System Performance'
,p_icon_css_classes=>'app-icon'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(22293405538428279)
,p_plug_display_sequence=>10
,p_plug_display_point=>'REGION_POSITION_01'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(23038692088316449)
,p_plug_name=>'Buttons'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(22261174031428264)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_02'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(23417431647346329)
,p_plug_name=>'Same Day Import and Export'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_api.id(22315587032428289)
,p_plug_display_sequence=>40
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_new_grid_row=>false
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'(select count(distinct (ofrdocstatus.documentnumber || to_char(status)))',
'from OFRDOCUMENT, OFRDOCSTATUS ',
'WHERE OFRDOCUMENT.documentnumber = OFRDOCSTATUS.documentnumber(+) ',
' --and dateimportstartrts >= to_date(:P1_PROCESSDATE,''MM/DD/YYYY'') ',
' and trunc(dateimportstartrts) = :P1_PROCESSDATE',
' --and dateextrendrts <= to_date(:P1_PROCESSDATE, ''MM/DD/YYYY'') + 1 ',
' and trunc(dateexportrts) = :P1_PROCESSDATE',
' AND (:P1_ORG_ID IS NULL or :P1_ORG_ID = org_id)',
'AND (:P1_PROCESSING_GROUP is null or :P1_PROCESSING_GROUP = nvl(OAN_WC_UTILS_PKG.wfr_field_contents (ofrdocument.documentnumber, ''ProcessingGroup'',''N''),''UNASSIGNED''))',
' and status(+)=800) "Exported Invoices"',
',',
' (select count(distinct OFRDOCUMENT.documentnumber) ',
' from OFRDOCUMENT',
' WHERE ',
' --and dateimportstartrts >= to_date(:P1_PROCESSDATE,''MM/DD/YYYY'') ',
'  trunc(dateimportstartrts) = :P1_PROCESSDATE',
' --and dateextrendrts <= to_date(:P1_PROCESSDATE, ''MM/DD/YYYY'') + 1 ',
' AND (:P1_ORG_ID IS NULL or :P1_ORG_ID = org_id)',
' AND (:P1_PROCESSING_GROUP is null or :P1_PROCESSING_GROUP = nvl(OAN_WC_UTILS_PKG.wfr_field_contents (ofrdocument.documentnumber, ''ProcessingGroup'',''N''),''UNASSIGNED''))',
' ) "Imported Invoices"',
' from dual'))
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_ajax_items_to_submit=>'P1_PROCESSDATE,P1_ORG_ID,P1_PROCESSING_GROUP'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_jet_chart(
 p_id=>wwv_flow_api.id(23417541908346330)
,p_region_id=>wwv_flow_api.id(23417431647346329)
,p_chart_type=>'dial'
,p_title=>'Overall Progress'
,p_width=>'300'
,p_height=>'150'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_value_text_type=>'percent'
,p_value_format_scaling=>'auto'
,p_tooltip_rendered=>'Y'
,p_gauge_orientation=>'circular'
,p_gauge_indicator_size=>1
,p_gauge_inner_radius=>.7
,p_gauge_plot_area=>'on'
,p_gauge_start_angle=>180
,p_gauge_angle_extent=>180
,p_show_gauge_value=>true
);
wwv_flow_api.create_jet_chart_series(
 p_id=>wwv_flow_api.id(23417677899346331)
,p_chart_id=>wwv_flow_api.id(23417541908346330)
,p_seq=>10
,p_name=>'Series 1'
,p_location=>'REGION_SOURCE'
,p_items_value_column_name=>'Exported Invoices'
,p_items_max_value=>'Imported Invoices'
,p_items_label_column_name=>'Imported Invoices'
,p_color=>'#2c5266'
,p_items_label_rendered=>false
,p_threshold_display=>'onIndicator'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(23038729097316450)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(23038692088316449)
,p_button_name=>'Refresh'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconLeft:t-Button--stretch'
,p_button_template_id=>wwv_flow_api.id(22388283124428325)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Refresh'
,p_warn_on_unsaved_changes=>null
,p_icon_css_classes=>'fa-refresh'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(16802848705245226)
,p_name=>'P1_PROCESSDATE'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(16801937498245217)
,p_prompt=>'Import Date'
,p_display_as=>'NATIVE_DATE_PICKER_JET'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(22385321572428324)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_01=>'N'
,p_attribute_02=>'POPUP'
,p_attribute_03=>'NONE'
,p_attribute_06=>'NONE'
,p_attribute_09=>'N'
,p_attribute_11=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(16803810179245236)
,p_name=>'P1_INVOICES_IMPORTED'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(16802039732245218)
,p_item_default=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT TO_CHAR (COUNT (DISTINCT ofrdocument.documentnumber), ''999,999'')',
'  FROM ofrdocument, ',
'       ofrdocstatus ',
' WHERE ofrdocument.documentnumber = ofrdocstatus.documentnumber (+) ',
'   AND dateimportstartrts >= TO_DATE (:P4_PROCESSDATE,''DD-MON-YYYY'') ',
'   AND dateimportstartrts <= TO_DATE (:P4_PROCESSDATE, ''DD-MON-YYYY'') + 1 ',
'   AND status (+) = 800'))
,p_item_default_type=>'SQL_QUERY'
,p_prompt=>'Invoices Imported'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_grid_label_column_span=>8
,p_field_template=>wwv_flow_api.id(22386207965428324)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
,p_attribute_05=>'PLAIN'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(23416914964346324)
,p_name=>'P1_PROCESSING_GROUP'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(16801937498245217)
,p_prompt=>'Processing Group'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'STATIC:USCA;USCA,AR;AR,Unassigned;UNASSIGNED'
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(22385321572428324)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_lov_display_extra=>'NO'
,p_required_patch=>wwv_flow_api.id(27341677532359775)
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(23417089556346325)
,p_name=>'P1_ORG_ID'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(16801937498245217)
,p_prompt=>'Operating Unit'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov_language=>'PLSQL'
,p_lov=>'RETURN oan_portal_query_utils_pkg.operating_units_lov; '
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(22385321572428324)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(16802958715245227)
,p_name=>'Update Charts'
,p_event_sequence=>10
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P1_PROCESSDATE,P1_ORG_ID,P1_PROCESSING_GROUP'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(16803018706245228)
,p_event_id=>wwv_flow_api.id(16802958715245227)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(16802247743245220)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(22854711019143102)
,p_event_id=>wwv_flow_api.id(16802958715245227)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(16804855644245246)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(16803992527245237)
,p_event_id=>wwv_flow_api.id(16802958715245227)
,p_event_result=>'TRUE'
,p_action_sequence=>30
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(16802191535245219)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(23418467630346339)
,p_event_id=>wwv_flow_api.id(16802958715245227)
,p_event_result=>'TRUE'
,p_action_sequence=>40
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(23417431647346329)
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(25977857547424901)
,p_name=>'Update Charts_1'
,p_event_sequence=>20
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(23038729097316450)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(25977910754424902)
,p_event_id=>wwv_flow_api.id(25977857547424901)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(16802247743245220)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(25978068150424903)
,p_event_id=>wwv_flow_api.id(25977857547424901)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(16804855644245246)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(25978123534424904)
,p_event_id=>wwv_flow_api.id(25977857547424901)
,p_event_result=>'TRUE'
,p_action_sequence=>30
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(16802191535245219)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(25978276159424905)
,p_event_id=>wwv_flow_api.id(25977857547424901)
,p_event_result=>'TRUE'
,p_action_sequence=>40
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(23417431647346329)
);
wwv_flow_api.component_end;
end;
/
