prompt --application/deployment/install/install_wfr_report_view
begin
--   Manifest
--     INSTALL: INSTALL-WFR_Report_View
--   Manifest End
wwv_flow_api.component_begin (
 p_version_yyyy_mm_dd=>'2021.10.15'
,p_release=>'21.2.0'
,p_default_workspace_id=>2200418947814292
,p_default_application_id=>903
,p_default_id_offset=>0
,p_default_owner=>'WCDEV_WFR'
);
wwv_flow_api.create_install_script(
 p_id=>wwv_flow_api.id(27601511170105763)
,p_install_id=>wwv_flow_api.id(25973103401088465)
,p_name=>'WFR_Report_View'
,p_sequence=>20
,p_script_type=>'INSTALL'
,p_script_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'CREATE OR REPLACE FORCE EDITIONABLE VIEW "OAN_ERP_OPERATING_UNITS_V" ("ORG_ID", "ORG_NAME", "SET_OF_BOOKS_ID", "COA_ID", "FUNCTIONAL_CURRENCY", "START_DATE_ACTIVE", "END_DATE_ACTIVE") AS ',
'  SELECT ou.org_id,',
'          ou.org_name,',
'          ou.set_of_books_id set_of_books_id,',
'          sob.coa_id,',
'          sob.functional_currency,',
'          ou.start_date_active,',
'          ou.end_date_active',
'     FROM oan_hr_operating_units ou,',
'          oan_gl_sets_of_books  sob',
'    WHERE ou.set_of_books_id = sob.set_of_books_id;',
'',
''))
);
wwv_flow_api.create_install_object(
 p_id=>wwv_flow_api.id(27601691207105763)
,p_script_id=>wwv_flow_api.id(27601511170105763)
,p_object_owner=>'#OWNER#'
,p_object_type=>'VIEW'
,p_object_name=>'OAN_ERP_OPERATING_UNITS_V'
,p_last_updated_by=>'RPOLLINA'
,p_last_updated_on=>to_date('20220606224600','YYYYMMDDHH24MISS')
,p_created_by=>'RPOLLINA'
,p_created_on=>to_date('20220606224600','YYYYMMDDHH24MISS')
);
wwv_flow_api.component_end;
end;
/
